Retrieve async chat job

GET/v1/async/chat/completions/{job_id}

Retrieve an async chat job created by POST /v1/async/chat/completions. There is no list endpoint.

Authentication

Authorization Bearer

Path Parameters

job_idstringrequired

Job ID (chatjob_ prefix).

Response

idstring

Job ID.

objectstring

chat.completion.job

statusenum<string>
modelstring

Public model name.

request_idstring

Billing correlation id.

resultobject

Chat completion object when status=completed.

errorobject

Error payload when failed.

error.messagestring

Human-readable error message.

error.codestring

Machine-readable error code.

error.typestring

Error category when returned.

error.stagestring

Processing stage where the error occurred.

error.upstream_http_statusinteger

Provider HTTP status when the error came from upstream.

error.upstream_messagestring

Provider error message when available.

usageobject

Token usage when available.

usage.prompt_tokensinteger

Input token count when returned.

usage.completion_tokensinteger

Output token count when returned.

usage.total_tokensinteger

Total token count when returned.

usage.input_tokensinteger

Input token count for providers that use input/output names.

usage.output_tokensinteger

Output token count for providers that use input/output names.

usage.generated_imagesinteger

Generated image count when returned.

usage.audio_duration_secondsnumber

Audio duration used for billing when returned.

usage.video_duration_secondsnumber

Video duration used for billing when returned.

usage.provider_request_idstring

Provider request ID used for upstream correlation.

Request

Shell
1curl https://api.token360.ai/v1/async/chat/completions/chatjob_01abc \
2  -H "Authorization: Bearer sk-your-api-key"
Was this page helpful?